epp_HostUpdateAddRemove (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.host.epp_HostUpdateAddRemove class

### org.openrtk.idl.epp0604.host

# Class epp_HostUpdateAddRemove

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.host.epp_HostUpdateAddRemove`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_HostUpdateAddRemove`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements to be added into or removed from the host object in the registry. This class can only be used when modifying a host object. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/host/epp_HostUpdateAddRemove.java,v 1.1 2003/03/21 15:55:25 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 15:55:25 $

See Also:
  `epp_HostUpdateReq.setAdd(epp_HostUpdateAddRemove)`, `epp_HostUpdateReq.setRemove(epp_HostUpdateAddRemove)`

  ## Field Summary
  `epp_HostAddress[]` | `m_addresses` The array of IP addresses to be associated with or removed from the host object.
  `epp_HostStatus[]` | `m_status` The array of status values to be associated with or removed from the host object.

  ## Constructor Summary
  `epp_HostUpdateAddRemove()` Empty constructor
  `epp_HostUpdateAddRemove(epp_HostAddress[] _m_addresses, epp_HostStatus[] _m_status)` The constructor with initializing variables.

  ## Method Summary
  `epp_HostAddress[]` | `getAddresses()` Accessor method for the array of IP addresses
  `epp_HostStatus[]` | `getStatus()` Accessor method for the array of host status values
  `void` | `setAddresses(epp_HostAddress[] value)` Accessor method for the array of IP addresses
  `void` | `setStatus(epp_HostStatus[] value)` Accessor method for the array of host status values
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_addresses

    public epp_HostAddress[] m_addresses

> The array of IP addresses to be associated with or removed from the host object.
> See Also:
>   `setAddresses(epp_HostAddress[])`, `getAddresses()`

### m_status

    public epp_HostStatus[] m_status

> The array of status values to be associated with or removed from the host object.
> See Also:
>   `setStatus(epp_HostStatus[])`, `getStatus()`

## Constructor Details

### epp_HostUpdateAddRemove

    public epp_HostUpdateAddRemove()

> Empty constructor

### epp_HostUpdateAddRemove

    public epp_HostUpdateAddRemove(epp_HostAddress[] _m_addresses,
                                   epp_HostStatus[] _m_status)

> The constructor with initializing variables.
> Parameters:
>   `_m_addresses` - The array of IP addresses
>   `_m_status` - The array of host status values

## Method Details

### getAddresses

    public epp_HostAddress[] getAddresses()

> Accessor method for the array of IP addresses
> Returns:
>   The array of host addresses
> See Also:
>   `m_addresses`

### getStatus

    public epp_HostStatus[] getStatus()

> Accessor method for the array of host status values
> Returns:
>   The array of host status values
> See Also:
>   `m_status`

### setAddresses

    public void setAddresses(epp_HostAddress[] value)

> Accessor method for the array of IP addresses
> Parameters:
>   `value` - The array of host IP addresses
> See Also:
>   `m_addresses`

### setStatus

    public void setStatus(epp_HostStatus[] value)

> Accessor method for the array of host status values
> Parameters:
>   `value` - The array of host status values
> See Also:
>   `m_status`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS